package com.microservices.zone.member.domain.vo;

import com.microservices.zone.member.domain.points.ZonePointsAccount;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 积分账户搜索对象
 *
 * @author otto
 */
@Data
@ApiModel("积分账户搜索对象")
public class ZonePointsAccountSearchVo {
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "专区ID")
    private Long zoneId;

    public ZonePointsAccount toZonePointsAccount() {
        ZonePointsAccount zonePointsAccount = new ZonePointsAccount();
        zonePointsAccount.setUserId(userId);
        zonePointsAccount.setZoneId(zoneId);
        return zonePointsAccount;
    }
}